hw_api->objectbyanchor
hw_api_reason->description
Hyperwave API Functions
PHP Manual

# hw_api->parents

(No version information available, might be only in CVS)

hw_api->parents — Returns parents of an object

### Description

hw_api
array parents ( array `$parameter` )

Retrieves the parents of an object. The parents can be further filtered by specifying an object query.

### Parameters

`parameter`

  The parameter array contains the required elements 'objectidentifier' and the optional elements 'attributeselector' and 'objectquery'.

### Return Values

The return value is an array of objects of type HW_API_Object or HW_API_Error.

### See Also

- hw_api->children

hw_api->objectbyanchor
hw_api_reason->description
Hyperwave API Functions
PHP Manual